m4_define(PROGRAM, para_afh)
[suite afh]
version-string = GIT_VERSION()
[supercommand para_afh]
	purpose = print or modify meta information about audio file(s)
	[description]
		By default para_afh prints information about the given audio files,
		such as format, duration, bitrate, etc., and the content of the most
		common meta tags (artist, title, album, year, comment). In modify
		mode it changes the meta tags to the values given at the command line.
	[/description]
	non-opts-name = file...
	m4_include(common-option-section.m4)
	m4_include(help.m4)
	m4_include(detailed-help.m4)
	m4_include(version.m4)
	m4_include(loglevel.m4)
	[option modify-section]
		summary = Printing meta information
		flag ignored
	[option chunk-table]
		short_opt = c
		summary = print also the chunk table
		[help]
			The chunk table of an audio file is an array of offsets where each
			offset corresponds to chunk of encoded data. The exact meaning of
			chunk depends on the audio format.

			Programs which are unaware of the particular audio format can read the
			chunk table to obtain the timing information needed to stream the file.
		[/help]
	[option parser-friendly]
		short_opt = p
		summary = do not use human-readable output format
		[help]
			This option only affects the format of the chunk table, so it has no
			effect if --chunk-table is not given.

			The human-readable output (the default) consists of one output line
			per chunk and the output contains also the chunk number, the duration
			and the size of each chunk. The parser-friendly output prints only
			the offsets, in one line.
		[/help]
	[option modify-section]
		summary = Modifying meta tags
		flag ignored
	[option modify]
		short_opt = m
		summary = modify (rather than print) tags
		[help]
			If this option is given, para_afh creates a temporary copy of the given
			file(s), with meta tags changed according to the options below. On
			errors, the temporary file is removed, leaving the original file
			unchanged. On success, if --backup is given, the original file is
			moved away. Finally the temporary file is renamed to the name of the
			original file.
		[/help]
	[option backup]
		short_opt = b
		summary = create backup of the original file
		[help]
			The backup suffix is '~'. That is, a single tilde character is appended
			to the given file name.
		[/help]
	[option year]
		short_opt = y
		summary = set the year tag
		arg_info = required_arg
		arg_type = string
		typestr = string
	[option title]
		short_opt = t
		summary = set the title tag
		arg_info = required_arg
		arg_type = string
		typestr = string
	[option artist]
		short_opt = a
		summary = set the artist tag
		arg_info = required_arg
		arg_type = string
		typestr = string
	[option album]
		short_opt = A
		summary = set the album tag
		arg_info = required_arg
		arg_type = string
		typestr = string
	[option comment]
		short_opt = C
		summary = set the comment tag
		arg_info = required_arg
		arg_type = string
		typestr = string
