m4_define(`downcase', `m4_translit(`$*', `A-Z', `a-z')')
m4_define(`SUITE_LOGLEVELS', `m4_patsubst(`$*', `LL_\([A-Z]+\)',
	`LSGLL_\1 = "downcase(`\1')" ')')
[option loglevel]
	summary = control amount of logging
	short_opt = l
	arg_info = required_arg
	arg_type = string
	typestr = severity
	values = {SUITE_LOGLEVELS(LOGLEVELS())}
	default_val = warning
	[help]
		Log only messages with severity greater or equal than the given
		value. Possible values:

		debug: Produces really noisy output.
		info: Still noisy, but won't fill up the disk quickly.
		notice: Indicates normal, but significant event.
		warning: Unexpected events that can be handled.
		error: Unhandled error condition.
		crit: System might be unreliable.
		emerg: Last message before exit.
	[/help]
